Name: x11-driver-video-i810
Version: 1.6.5
Release: %mkrel 2
Summary: The X.org driver for Intel i810
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-i810-%{version}.tar.bz2
Patch0: x11-driver-video-i810-vt_fix.patch
License: MIT
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: libx11-devel >= 1.0.0
BuildRequires: libdrm-devel >= 2.0
BuildRequires: libxvmc-devel >= 1.0.1
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: GL-devel

Conflicts: xorg-x11-server < 7.0
Obsoletes: x11-driver-video-intel < 1.6.5-%mkrel 2
Provides: x11-driver-video-intel = %{version}

%description
The X.org driver for Intel i810


%prep
%setup -q -n xf86-video-i810-%{version}
# prevents the driver from doing operations when we do not have the VT lock 
%patch0 -p1 -b .vt_fix

%build
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/libI810XvMC.la
%{_libdir}/libI810XvMC.so
%{_libdir}/libI810XvMC.so.1
%{_libdir}/libI810XvMC.so.1.0.0
%{_libdir}/xorg/modules/drivers/i810_drv.la
%{_libdir}/xorg/modules/drivers/i810_drv.so
%{_mandir}/man4/i810.4.bz2


%changelog
* Tue Aug 22 2006 Antonio Hobmeir Neto <neto@mandriva.com>
+ 2006-08-22 15:32:37 (57489)
- Rename back to i810

* Tue Aug 22 2006 Antonio Hobmeir Neto <neto@mandriva.com>
+ 2006-08-22 15:31:26 (57488)
- Returns to the name i810 because the tarball keep this name

* Mon Aug 21 2006 Antonio Hobmeir Neto <neto@mandriva.com>
+ 2006-08-21 18:59:19 (57038)
- new upstream release: 1.6.5
  Changes since 1.6.0:
    * Add an API for programming i915 fragment programs.
    * Convert i915 rotate code to the new fragment program API.
    * Adds MergedFB support
    * Fix configure.ac to check for xineramaproto
    * Adds i965 support
    * Many other bugfixes

* Mon Aug 21 2006 Antonio Hobmeir Neto <neto@mandriva.com>
+ 2006-08-21 18:44:17 (57037)
- Package was renamed upstream. Following the name scheme.

* Thu Jun 08 2006 Thierry Vignaud <tvignaud@mandriva.com>
+ 2006-06-08 16:47:26 (36813)
- fix group

* Wed Jun 07 2006 Thierry Vignaud <tvignaud@mandriva.com>
+ 2006-06-07 19:58:34 (36786)
- rebuild with the proper ABI on x86_64

* Fri Jun 02 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-06-02 21:29:36 (31887)
- added patch: prevents the driver from doing operations when we do not have the VT lock

* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 25 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-25 19:59:30 (31594)
- Updated drivers for X11R7.1

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository
